// 此处第二个参数vm，就是我们在页面使用的this，你可以通过vm获取vuex等操作
const install = (Vue, vm) => {
    // 获取行业下所有子行业和标签
    let GetLableList = (params = {}) => vm.$u.get('app/User/GetLableList', params)
    // 获取兴趣标签
    let GetInterestLable = (params = {}) => vm.$u.get('app/User/GetInterestLable', params)
    // 修改个人资料
    let UpdateUser = (params = {}) => vm.$u.post('app/User/UpdateUser', params);
    // 获取所有工作领域
    let GetWorkFile = (params = {}) => vm.$u.get('app/User/GetWorkFileList', params);
    // 我的页面
    let MyPage = (params = {}) => vm.$u.get('app/My/MyPage', params);
    // 我的教育经历
    let MyEducations = (params = {}) => vm.$u.get('app/My/MyEducations', params);
    // 添加教育经历
    let AddEducation = (params = {}) => vm.$u.post('app/My/AddEducation', params);
    // 提交校友认证
    let SubmitAttestationXY = (params = {}) => vm.$u.post('app/My/SubmitAttestationXY', params);
    // 选择已认证的教育经历 返回学校ID
    let SelectEducation = (params = {}) => vm.$u.post('app/My/SelectEducation', params);
    // 我的发布
    let Publishs = (params = {}) => vm.$u.get('app/My/Publish', params);
    //用户发布学校资讯
    let InsertJournaArticle = (params = {}) => vm.$u.post('app/AlumnRange/InsertJournaArticle', params);
    //用户发布帮帮资讯
    let InsertHelpArticle = (params = {}) => vm.$u.post('app/AlumnRange/InsertHelpArticle', params);
    //管理员认证
    let AttestationGLY = (params = {}) => vm.$u.get('app/My/AttestationGLY', params);
    //提交管理员认证
    let SubmitAttestationGLY = (params = {}) => vm.$u.post('app/My/SubmitAttestationGLY', params);
    //教职工认证
    let AttestationJZG = (params = {}) => vm.$u.get('app/My/AttestationJZG', params);
    //提交教职工认证
    let SubmitAttestationJZG = (params = {}) => vm.$u.post('app/My/SubmitAttestationJZG', params);
    //基础资料以及教职工认证
    let UpdateUserJZG = (params = {}) => vm.$u.post("app/User/UpdateUserJZG", params)

    //企业认证
    let AttestationQY = (params = {}) => vm.$u.get('app/My/AttestationQY', params);
    //提交企业认证
    let SubmitAttestationQY = (params = {}) => vm.$u.post('app/My/SubmitAttestationQY', params);
    //定位、推荐、消息设置
    let Setting = (params = {}) => vm.$u.post('app/My/Setting', params);
    //获取当前登录用户
    let GetUser = (params = {}) => vm.$u.get('app/User/GetUser', params);
    //获取所有标签
    let GetSign = (params = {}) => vm.$u.get('app/AlumnRange/GetSign', params);
    //关注或取关
    let InsertOrDelFollow = (params = {}) => vm.$u.post('app/Follow/InsertOrDelFollow', params);
    //评论
    let InsertComment = (params = {}) => vm.$u.post('app/AlumnRange/InsertComment', params);
    //获取文章评论信息
    let GetJournaArticle = (params = {}) => vm.$u.get('app/AlumnRange/GetJournaArticle', params);
    //获取评论详细信息
    let GetComment = (params = {}) => vm.$u.get('app/AlumnRange/GetComment', params);
    //添加收藏(0资讯,1帮帮)
    let LikeCollect = (params = {}) => vm.$u.get('app/AlumnRange/LikeCollect', params);
    //点赞(0资讯,1帮帮,2评论) 或取消点赞
    let LikeHe = (params = {}) => vm.$u.get('app/AlumnRange/LikeHe', params);
    //用户转发帮帮资讯
    let ForwardHelpArticle = (params = {}) => vm.$u.post('app/AlumnRange/ForwardHelpArticle', params);
    //获取用户当前学校信息（未认证为空,未选中默认选择最新认证学校）
    let GetUserSchool = (params = {}) => vm.$u.get('app/User/GetUserSchool', params);
    //我的收藏
    let Collection = (params = {}) => vm.$u.get('app/My/Collection', params)
    //查看用户发布信息
    let UserHelp = (params = {}) => vm.$u.get('app/User/UserHelp', params)
    //审核列表
    let AuditList = (params = {}) => vm.$u.get('app/My/AuditList', params)
    //审核详情
    let AuditDeatil = (params = {}) => vm.$u.get('app/My/AuditDeatil', params)
    //审核
    let Audit = (params = {}) => vm.$u.post('app/My/Audit', params);
    //获取手机验证码
    let GetPhoneValidateCode = (params = {}) => vm.$u.post('api/Token/GetPhoneValidateCode', params)
    // 获取验证码
    let Captcha = (params = {}) => vm.$u.get('api/Token/Captcha', params)
    //根据页面类型获取手机验证码
    let GetAppValidateCode = (params = {}) => vm.$u.post('api/Token/GetAppValidateCode', params)
    //验证码是否正确
    let IsPhoneCode = (params = {}) => vm.$u.get('api/Token/IsPhoneCode', params)
    //学校资讯
    let AlumnRangeSchool = (params = {}) => vm.$u.get('app/AlumnRange/AlumnRangeSchool', params)
    //意见反馈
    let SubmitFeedback = (params = {}) => vm.$u.post('app/My/SubmitFeedback', params)
    //获取学校学院列表
    let GetCollegeList = (params = {}) => vm.$u.get('app/User/GetCollegeList', params)
    //获取专业列表
    let GetMajorList = (params = {}) => vm.$u.get('app/User/GetMajorList', params)
    //获取当前学校是否认证信息
    let GetUserApproval = (params = {}) => vm.$u.get('app/User/GetUserApproval', params)
    //	删除未认证教育经历
    let DeleteEducation = (params = {}) => vm.$u.get('app/My/DeleteEducation', params)
    //  删除文章
    let DelateArticle = (params = {}) => vm.$u.get('app/AlumnRange/DelateArticle', params)
    //  取消收藏
    let CancleCollect = (params = {}) => vm.$u.get('app/My/CancleCollect', params)
    //忘记密码
    let ForgotPassword = (params = {}) => vm.$u.post('admin/User/ForgotPassword', params)
    //手机申请返校预约
    let AddReturnSchoolApi = (params = {}) => vm.$u.post('app/ReturnSchoolPrebook/AddReturnSchool', params);
    // 返校预约列表 - 待审核
    let SelectReturnSchoolList_dshApi = (params = {}) => vm.$u.get('app/ReturnSchoolPrebook/SelectReturnSchoolList_dsh', params)
    // 返校预约列表 - 传状态
    let SelectReturnSchoolList_typeApi = (params = {}) => vm.$u.get('app/ReturnSchoolPrebook/SelectReturnSchoolList_type', params)
    // 获取返校预约设置
    let SelectInfoSetApi = (params = {}) => vm.$u.get('/app/ReturnSchoolPrebook/SelectInfoSet', params)
    // 获取返校预约设置 没token
    let SelectInfoSetNoTokenApi = (params = {}) => vm.$u.get('/app/Share/SelectInfoSet', params)
    // 返校预约详情
    let SelectReturnSchoolInfoApi = (params = {}) => vm.$u.post('app/ReturnSchoolPrebook/SelectReturnSchoolInfo', params);
    // 返校预约详情 没token
    let SelectReturnSchoolInfoNotokenApi = (params = {}) => vm.$u.post('/app/Share/SelectReturnSchoolInfo', params);
    // 取消返校预约
    let DelReturnSchoolInfoApi = (params = {}) => vm.$u.post('app/ReturnSchoolPrebook/DelReturnSchoolInfo', params);
    // 核验二维码
    let SaveReturnSchoolInfoApi = (params = {}) => vm.$u.post('app/ReturnSchoolPrebook/SaveReturnSchoolInfo', params);
    // 核验二维码 没token
    let SaveReturnSchoolInfoNoTokenApi = (params = {}) => vm.$u.post('app/Share/SaveReturnSchoolInfo', params);
    // 获取二维码
    let SaveReturnSchoolVerifyApi = (params = {}) => vm.$u.post('app/ReturnSchoolPrebook/SaveReturnSchoolVerify', params);
    // 获取二维码 没token
    let SaveReturnSchoolVerifyNoTokenApi = (params = {}) => vm.$u.post('app/Share/SaveReturnSchoolVerify', params);
    // 添加工作经历
    let AddWordInfoApi = (params = {}) => vm.$u.post('/app/User/AddWordInfo', params);
    // 修改工作经历
    let UpdateWorkInfoApi = (params = {}) => vm.$u.post('/app/User/UpdateWorkInfo', params);
    // 删除工作经历
    let DelWorkInfoApi = (params = {}) => vm.$u.post('/app/User/DelWorkInfo', params);
    // 添加项目经历
    let AddProjectInfoApi = (params = {}) => vm.$u.post('/app/User/AddProjectInfo', params);
    // 修改项目经历
    let UpdateProjectInfoApi = (params = {}) => vm.$u.post('/app/User/UpdateProjectInfo', params);
    // 删除项目经历
    let DelProjectInfoApi = (params = {}) => vm.$u.post('/app/User/DelProjectInfo', params);
    // 制作简历界面
    let ResumeUserApi = (params = {}) => vm.$u.get('/app/User/ResumeUser', params);
    // 附件简历列表
    let GetUserFileApi = (params = {}) => vm.$u.get('/app/User/GetUserFile', params);
    // 删除附件
    let DelUserFileApi = (params = {}) => vm.$u.post('/app/User/DelUserFile', params);
    // 设置展示简历
    let UpdateUserFileApi = (params = {}) => vm.$u.post('/app/User/UpdateUserFile', params);
    // 获取学校ID
    let GetUserSchoolApi = (params = {}) => vm.$u.get('/app/User/GetUserSchool', params);
    // 获取已预约的日期
    let GetDateTimeReturnApi = (params = {}) => vm.$u.get('/app/ReturnSchoolPrebook/GetDateTimeReturn', params);
    // 选择教职工认证
    let SelectJZGApi = (params = {}) => vm.$u.post('/app/My/SelectJZG', params);

    let ForgotPasswordValidate = (params = {}) => vm.$u.post('/admin/User/ForgotPasswordValidate', params);
    //忘记密码-验证验证码

    // 删除
    let DeleteJZGApi = (params = {}) => vm.$u.get('/app/My/DeleteJZG', params);
    // 返回判断用户身份信息
    let SelectUserTypeApi = (params = {}) => vm.$u.get('/app/My/SelectUserType', params);
    // 更新切换用户身份UserType
    let UpdateUserTypeApi = (params = {}) => vm.$u.get('/app/My/UpdateUserType', params);
    // 将各个定义的接口名称，统一放进对象挂载到vm.$u.apiList(因为vm就是this，也即this.$u.apiList)下
    vm.$u.apiList = {
        Captcha,
        GetInterestLable,
        GetLableList,
        SelectUserTypeApi,
        UpdateUserTypeApi,
        ForgotPasswordValidate,
        DeleteJZGApi,
        SelectJZGApi,
        GetDateTimeReturnApi,
        AddReturnSchoolApi,
        GetUserSchoolApi,
        UpdateUserFileApi,
        DelUserFileApi,
        AddWordInfoApi,
        GetUserFileApi,
        DelWorkInfoApi,
        UpdateProjectInfoApi,
        DelProjectInfoApi,
        AddProjectInfoApi,
        UpdateWorkInfoApi,
        ResumeUserApi,
        SaveReturnSchoolVerifyApi,
        SelectInfoSetApi,
        SelectInfoSetNoTokenApi,
        SelectReturnSchoolList_dshApi,
        SelectReturnSchoolList_typeApi,
        SelectReturnSchoolInfoApi,
        SaveReturnSchoolInfoNoTokenApi,
        SaveReturnSchoolVerifyNoTokenApi,
        SelectReturnSchoolInfoNotokenApi,
        DelReturnSchoolInfoApi,
        SaveReturnSchoolInfoApi,
        UpdateUser,
        GetWorkFile,
        MyPage,
        MyEducations,
        AddEducation,
        SubmitAttestationXY,
        SelectEducation,
        Publishs,
        InsertJournaArticle,
        InsertHelpArticle,
        AttestationGLY,
        SubmitAttestationGLY,
        AttestationJZG,
        SubmitAttestationJZG,
        AttestationQY,
        SubmitAttestationQY,
        Setting,
        GetUser,
        GetSign,
        InsertOrDelFollow,
        InsertComment,
        GetJournaArticle,
        GetComment,
        LikeCollect,
        LikeHe,
        ForwardHelpArticle,
        GetUserSchool,
        Collection,
        UserHelp,
        AuditList,
        AuditDeatil,
        ForwardHelpArticle,
        Audit,
        GetPhoneValidateCode,
        AlumnRangeSchool,
        IsPhoneCode,
        SubmitFeedback,
        GetCollegeList,
        GetMajorList,
        GetUserApproval,
        DeleteEducation,
        DelateArticle,
        CancleCollect,
        GetAppValidateCode,
        ForgotPassword,
        UpdateUserJZG
    };
}

export default {
    install
}
